SDL_AudioDeviceEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | which
Uint8 | iscapture
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

Audio device event structure (event.adevice.*)

Definition at line 518 of file SDL_events.h.

## Field Documentation

## iscapture

Uint8 SDL_AudioDeviceEvent::iscapture

zero if an output device, non-zero if a capture device.

Definition at line 523 of file SDL_events.h.

## padding1

Uint8 SDL_AudioDeviceEvent::padding1

Definition at line 524 of file SDL_events.h.

## padding2

Uint8 SDL_AudioDeviceEvent::padding2

Definition at line 525 of file SDL_events.h.

## padding3

Uint8 SDL_AudioDeviceEvent::padding3

Definition at line 526 of file SDL_events.h.

## timestamp

Uint32 SDL_AudioDeviceEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 521 of file SDL_events.h.

## type

Uint32 SDL_AudioDeviceEvent::type

SDL_AUDIODEVICEADDED, or SDL_AUDIODEVICEREMOVED

Definition at line 520 of file SDL_events.h.

## which

Uint32 SDL_AudioDeviceEvent::which

The audio device index for the ADDED event (valid until next SDL_GetNumAudioDevices() call), SDL_AudioDeviceID for the REMOVED event

Definition at line 522 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h